1
vote
0answers
12 views

Yum or Reposync: How can I slowly remove a repository without unintended dependency issues?

I have used reposync to create and maintain local copies of two repositories, remi and remi-test. These are repositories maintained by Remi Collet. On several systems in an internal LAN, I added both ...
1
vote
1answer
21 views

Does yum's --enablerepo option only enable a repo for the current command?

Does yum's --enablerepo option only enable a repository for the duration of the current command? For example if the enabled setting in /etc/yum.repos.d/remi.repo file is set to 0 (disabled) and I ...
2
votes
1answer
52 views

Installing PHP 5.3.3-24 on CentOS 6.5 (Final)

I require a slightly older version of PHP for my server because I need to be able to exploit a CVE (CVE-2006-7243) that was patched in the newer versions. NOTE: This is a legitimate use case where ...
0
votes
2answers
49 views

update ss utility on centos

My centos version is: 2.6.32-131.17.1.el6.x86_64 #1 SMP Thu Oct 6 19:24:09 BST 2011 x86_64 x86_64 x86_64 GNU/Linux And my ss version: ss --version ss utility, iproute2-ss091226 I need to ...
1
vote
2answers
54 views

Using YUM for CentALT packages

Since CentALT isn't available anymore I can't upgrade some of my packages. Sure I can use a mirror for CentALT to get it working, but it only lists 'older' packages since it's not updated anymore. I ...
3
votes
3answers
113 views

Centos rpm -qa vs yum list installed

I want to have server b to have exactly the same setup as server a. My plan is to have a list of all installed things on server a and install it by using the list on server b something like : yum ...
0
votes
2answers
196 views

Yum on CentOS 7 repositories may be broken

Just got CentOS 7 on a new server and I went yum install httpd and it went fine. Afterwards I went yum install mysql-server and I got No package mysql-server available. I haven't messed up with the ...
2
votes
1answer
316 views

How to install Node.js in CentOS 5.10 with Python 2.4?

I want to use Grunt on websites we have hosted on our WHM dedicated server. It is running CENTOS 5.10 x86_64 standard with WHM 11.42.1 (build 21). It is critical that things do not break, as we have ...
0
votes
2answers
99 views

Cant install gnutls.i686 on a x64 CentOS install

I need to install gnutls.i686 on CentOS 7 but I get this error in yum: Transaction check error: file /usr/share/man/man5/pkcs11.conf.5.gz from install of p11-kit-0.18.7-4.el7.i686 conflicts with ...
2
votes
1answer
356 views

Can't run yum update

I've been banging my head on the keyboard with this! I'm working on CentOS 6.5 x86_64. Firstly I tried to update php and apache using easy apache. The update failed very quickly so I went on the ...
0
votes
0answers
31 views

Yum update crashing my OpenVPN tunnels

I have 100's of CentOS 5.10 clients that I access through a OpenVPN connection. I have internal repo that they use for updates. However some of my clients have some serious issues pulling packages ...
0
votes
0answers
68 views

Creating yum .repo file from a remote repo using rpm

This command (from the install page for Varnish 3.x): rpm --nosignature -i http://repo.varnish-cache.org/redhat/varnish-3.0/el6/noarch/varnish-release/varnish-release-3.0-1.el6.noarch.rpm appears ...
0
votes
3answers
2k views

“The GPG keys listed for the ”atomicrocketturtle.com“ repository are already installed but they are not correct for this package.”

When running this on CentOS 6: yum update I accept the transaction summary that it presents and am then immediately presented with this: Downloading Packages: warning: rpmts_HdrFromFdno: Header V3 ...
0
votes
1answer
104 views

CentOS: what impact does a kernel update have?

When running this on CentOS 6: yum update I get this: --> Finished Dependency Resolution Error: Package: 2:irqbalance-1.0.4-6.el6.x86_64 (base) Requires: kernel >= 2.6.32-279 ...
0
votes
1answer
48 views

Building rtmpdump on RHEL x86 without yum and no root rights

I have an ssh connection to a RHEL x86 machine, and I can't use yum and I don't have root rights. Is there a way to still install rtmpdump? By looking at this tutorial, it seems that installing ...
2
votes
3answers
55 views

Add new packages to repository server

I'm using CentOS I've built a repository and put packages on it ,testing from another server and all things are fine. When I added new packages on repository and execute: $ createrepo -v ...
0
votes
1answer
48 views

install python module for particular python instance

I have 2 python instance on a CentOS machine, i.e. /usr/bin/python2.4 and /usr/bin/python2.7. Modules for 2.4 are in /usr/lib/python2.4, and modules for 2.7 are in /usr/local/python27. When I do ...
0
votes
2answers
3k views

How to update CentOS 6.5 to kernel 2.6.32-431?

I need to update my CentOS 6.5 kernel to 2.6.32-431. Running yum clean all && yum update doesn't do it for me. How do I update? And what could be the issue? [root@centos64 ~]# uname -r ...
1
vote
1answer
160 views

yum update baseurl error

I am new CentOS, I tried to install openssh using yum -y install openssh-server openssh-clients which resulted in Loaded plugins: fastestmirror, refresh-packagekit, security Loading mirror speeds ...
1
vote
1answer
553 views

Public key problem when installing ovirt on aws

I started an instance on AWS with centos 6.4. I ran the following two commands: $ yum localinstall http://resources.ovirt.org/releases/ovirt-release.noarch.rpm $ yum -y install ovirt-engine I got ...
3
votes
0answers
35 views

broken filesets after install VLC via RPMFusion

Needed a media player, followed the link on this site Here is the last part of the YUM output; After following the link above, VLC installed and executed fine, but I was left with broken filesets ...
1
vote
0answers
263 views

how to resolve yum replace php-common --replace-with=php55w-common error? [closed]

How to resolve yum replace php-common --replace-with=php55w-common error on CentOS 6.5? root@server [~]# yum replace php-common --replace-with=php55w-common Loaded plugins: fastestmirror, replace, ...
2
votes
3answers
86 views

Most innocuous package to install to test yum?

I'm trying to test yum is working in CentOS from a local repo. To do this I need a package that: Isn't already installed with standard OS install Is small in size Has few or no dependencies Doesn't ...
0
votes
2answers
2k views

yum and openssl disagree on currently installed version in Centos 6.5

I'm attempting to ensure that we are using the most recent openssl version on Centos 6.5, and yum reports that we are, but openssl continues to report that its version is an older one: ...
0
votes
1answer
321 views

Can't yum WINE from repo - No package wine available

I'm trying to install WINE on Centos 5.10 as per some instructions I wrote last year using this instruction: # yum install wine However when run, it can't find any package under that name: # yum ...
1
vote
1answer
109 views

Yum doesn't work

Today I try to list installed php packages with yum but when I run "yum list php*". I have got a strange error "There was a problem importing one of the Python modules required to run yum. The error ...
1
vote
0answers
623 views

Error: cannot find a valid baseurl for repo: rpmfusion-free

I have a vps, and I try to run the comand in CentOs 6.5 32 bits: sudo yum install sd-agent And I Get: Loaded pluings: fasestmirrors Determining fastest mirrors Error: cannot find a valid baseurl ...
2
votes
2answers
2k views

How to install dig on CentOS 6?

I can't find the dig command on my new CentOS 6 installation. I've tried yum install dig but it say it cannot find the package. How do I install dig on CentOS 6?
3
votes
3answers
129 views

Uninstall dig command in centos 6?

I've realized that for some commands like wget and dig, we need to use the command yum to install them before we can use them. Doing some research the dig command doesn't come installed for security ...
0
votes
1answer
155 views

iptux Installation causing error

I'm trying to install iptux in CentOS by using yum install ip* it causes the following error --> Finished Dependency Resolution Error: samba4-winbind conflicts with ...
1
vote
1answer
321 views

Unable to install erlang

I am trying to install Erlang for RabbitMQ on CentOS release 6.4 (Final) yum install -y erlang It gives me the following error : Error: Package: erlang-R12B-5.12.el5.rf.x86_64 (rpmforge) ...
0
votes
1answer
467 views

Issue with yum - error in importing one of the python modules

I am trying to install rpm package on CentOS 6 using yum install command, but getting folowing error There was a problem importing one of the Python modules required to run yum. The error leading to ...
0
votes
1answer
4k views

Trouble Installing APT on Centos 6 64 bit

Can someone help me get apt-get installed? I followed these instructions to try and install APT on Centos 6 64 bit: wget ...
-1
votes
1answer
125 views

I cannot use yum command and ssh after mount drive.(CentOS)

As the title above, I cannot use yum command after I mount like below. mount /dev/xvdb3 /usr Filesystem Size Used Avail Use% Mounted on /dev/xvda ...
1
vote
2answers
2k views

CentOS how to update Ant Version to 1.8.x and higher?

I'm using CentOS v6.5 and installed Ant by using: yum install ant But it came with Ant version 1.7.1. And i need the latest Ant version 1.8.0. How to properly get the latest Ant version 1.8.x (or ...
0
votes
2answers
78 views

Updating CentOS by YUM command without removing previous version

I wanna update my system by yum command, after executing yum update it wants to update kernel to 2.6.32-431.5.1.el6 version also it wants to remove my oldest kernel version (2.6.32-279.el6). ...
1
vote
3answers
122 views

Installing ack on cpanel

I need to install ack on an instance of whm/cpanel (I have root access as it is a VPS) but I have not found any information on how to do that. I tried to install it using the WHM RPM manager, but the ...
0
votes
1answer
173 views

Update yum fails

I'm using centOS 6.4. I'm getting this error when I use "yum update" in the terminal window. Could not retrieve mirrorlist http://mirrorlist.centos.org/?release=6&arch=x86_64&repo=os ...
1
vote
1answer
89 views

What problems should I expect when adding a CentOS yum repository to RHEL?

I've added the CentOS 6 Updates yum repository to my RHEL 6.4 machine. That's because RHEL doesn't ship with the php-snmp package - and the easiest one to find is on the CentOS site. Anyways, this ...
1
vote
6answers
20k views

yum update fails: Error: Cannot retrieve repository metadata (repomd.xml) for repository …

I'm using CentOS 6.3. When I try to update my system with yum I have this message: yum update Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirrors.ircam.fr * ...
1
vote
2answers
3k views

yum installs an old version of cmake

For some reason when I run yum to get cmake it will install an older version. Could it be because my repo list is not complete? I'm on CentOS 6 using a minimal desktop install from the non-net install ...
1
vote
2answers
181 views

No package community-mysql-devel available

I'm trying to get this package because I need it to build software on CentOS 6, but I'm getting this error: No package community-mysql-devel available I'm logged in as root, using yum. Could it be ...
1
vote
3answers
60 views

Yum not working

When I try to execute yum I get this: My guess is I need to start the Ethernet connection because I cant ping and this is what what we do with SL6. I'm new to CentOS that is why I ask. I've ...
0
votes
2answers
4k views

Installing OpenSSL shared libraries on CentOS 6.5

OS: CentOS-6.5-x86_64-minimal I downloaded the latest version of OpenSSL Extracted it with tar -xvzf openssl-1.0.1e.tar.gz cd openssl-1.0.1e ./config --prefix=/usr/local make it gives me the ...
1
vote
1answer
81 views

How do you Configure Package Management System (YUM) for MongoDB

On the site (mongodb) it lists ... Create a /etc/yum.repos.d/mongodb.repo file to hold the following configuration information for the MongoDB repository: then... [mongodb] name=MongoDB ...
0
votes
1answer
173 views

Why does CentOS even with its latest release ship older versions of apps such as Python 2.6?

Why does CentOS even with its latest release ship older versions of apps such as Python 2.6? What is the reason and logic behind it?
2
votes
2answers
422 views

yum update presents hponcfg-4.2.0-0.x86_64 conflict

I am in the process of trying to get Cacti installed onto an HP DL360 running Centos 6.3. Running yum update presents me with a few updates but when entering y it returns an error. How can I solve ...
0
votes
1answer
58 views

What is transaction check in Yum installation

What is the "Transaction Test" that will be done during installation using yum? Please explain with details..
2
votes
1answer
976 views

How can I fix the issue where Add/Remove Software never asks for my password?

Using CentOS Release 6.4 x86 when I go to **System > Administration > Add/Remove Software*8 and try to add software or refresh the package list, I immediately get the following error: ...
2
votes
2answers
64 views

Identifying unused repositories in Yum

Is there a way to identify an unused repository in Centos/RHEL? I have quite a few repositories installed on a Centos machine and I'm not sure which ones are actually needed and which ones aren't. ...